Bug 434642 - Review Request: xastir - Amateur Station Tracking and Reporting system for amateur radio
Review Request: xastir - Amateur Station Tracking and Reporting system for am...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-23 14:42 EST by Lucian Langa
Modified: 2008-07-15 09:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 09:41:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vanmeeuwen+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lucian Langa 2008-02-23 14:42:52 EST
Spec URL: http://lucilanga.fedorapeople.org/xastir.spec
SRPM URL: http://lucilanga.fedorapeople.org/xastir-1.9.2-2.fc8.src.rpm
Description: Xastir is a graphical application that interfaces HAM radio
and internet access to realtime mapping software.

Install XASTIR if you are interested in APRS(tm) and HAM radio
software.

Note: rpmlint throws
xastir.i386: E: zero-length /usr/share/xastir/config/tnc-startup.null
this fixes a known bug (http://lists.xastir.org/pipermail/xastir/2003-December/003613.html) so this file is really required
Comment 1 Jeroen van Meeuwen 2008-02-27 18:43:57 EST
RPM Lint: OK (given the known bug)
Package name: OK
Spec file: OK (suggestion, use %{name} in the source of the package)
License: OK
Actual License: OK
%doc License: OK
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK (md5sum match)
Compile and Build:
 - F-7: OK
 - F-8: OK
 - rawhide: OK
 - EL-5: failed on libax25-devel build req (but not targeted)

Applicable Package Guidelines:
 - debuginfo package: OK
Locales: N/A
Shared libs: N/A
Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: OK
%doc affecting runtime: OK
Header files in -devel package: N/A
Static Libraries in -static package: N/A
pkgconfig Requires: N/A
Library files: N/A
Devel requires base package: N/A
.la libtool archives: N/A
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

APPROVED
Comment 2 Lucian Langa 2008-02-28 00:43:11 EST
New Package CVS Request
=======================
Package Name: xastir
Short Description: Amateur Station Tracking and Reporting system for amateur radio
Owners: lucilanga,bjensen
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: Yes
Comment 3 Kevin Fenzi 2008-02-28 14:56:41 EST
cvs done.
Comment 4 Jeroen van Meeuwen 2008-03-15 07:24:58 EDT
Assigning back to cooly@gnome.eu.org
Comment 5 Mamoru TASAKA 2008-07-15 09:40:49 EDT
Please keep the assignee to the reviewer. Once reopening and then closing.

Note You need to log in before you can comment on or make changes to this bug.